<?php
@session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");
?>
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<script type='text/javascript'   src='js1/jquery-1.8.3.js'></script>
<script type='text/javascript'   src="js1/select2.min.js"></script>
<link rel="stylesheet" type="text/css"   href="js1/select2.css">
<script type='text/javascript'   src="js1/bootstrap.min.js"></script>


<script type='text/javascript'>
$(window).load(function(){
   $('#proveedor').select2();
});
</script>

<script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
</script>

<script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>

</head>

<BODY onLoad="parametros.id.focus();">
<?php
 


include "../conexion.php";
$id="";	$cantidad="";	$precio=""; 	$proveedor=""; 	$observacion=""; 	$fecha="";		$codpro="";
$factura="";$valorfactura="";$ivafactura="";$fechafactura="";$nombrep="";

date_default_timezone_set('America/Bogota');
$hora=date("H:i:s");
$fechasis=date("Y-m-d");
$proveedor=$_REQUEST["proveedor"]; 
$factura=$_REQUEST["factura"]; 
$proceso=$_REQUEST["proceso"]; 
if($proceso==1)
 {
  $rs_proveedor=mysqli_query($conexion,"SELECT id,nombre FROM proveedor where estado='A'
						 union 
						 select 0,'' from  proveedor
						 order by nombre asc");
 }
 
 if($proceso==2)
 {
  $rs_proveedor=mysqli_query($conexion,"SELECT id,nombre FROM proveedor where id='".$proveedor."'");
 }

										 						 						  
if(isset($_REQUEST["oculto"]))
{ 
 $proveedor=$_REQUEST["proveedor"]; 


if($_REQUEST["oguardar"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['ch'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['idi'.$c];
			   $abono=str_replace(',','',$_REQUEST['abono'.$c]);
			   $factura=$_REQUEST['factura'.$c];
			   if($val==1 && $abono<>"")
				  {   $sql_delete=mysqli_query($conexion,"insert into inventario_proveedor_pagos (proveedor,factura,valor,fecha,observacion,fecsis,horasis,usuario)
				  										 values('".$proveedor."','".$factura."','".$abono."','".$fechasis."','Abonos',
														 		'".$fechasis."','".$hora."','".$vg_login."')");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
 
 
if($_REQUEST["omodificar"]==1)
	{   
	    $c=1; $canti=$_REQUEST['cantia'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['cha'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['ida'.$c];
			   $abonos=str_replace(',','',$_REQUEST['abonos'.$c]);
			   if($val==1 && $abonos<>"")
				  {   $sql_delete=mysqli_query($conexion,"update inventario_proveedor_pagos set valor='".$abonos."'
				  										  where id='".$idi."'");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
  
  
  if($_REQUEST["oeliminar"]==1)
	{   
	    $c=1; $canti=$_REQUEST['cantia'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['cha'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['ida'.$c];			 
			   if($val==1)
				  {   $sql_delete=mysqli_query($conexion,"delete from inventario_proveedor_pagos  where id='".$idi."'");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
 
 
 
  
  if($_REQUEST["Olimpiar"]==1)
  { $id=""; } 
}
$fecha=date("m/d/Y");

?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:98%;">
    <div class="panel panel-default">
      <div class="panel-heading">PAGOS COMPRAS PROVEEDOR</div>
      <div align="center">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td height="0" align="center"> 
                            <input name="gua" type="submit" id="gua" value="Guardar" title="Clic para Guardar"  class="btn btn-primary" onClick="oguardar.value=1;Obuscar.value=1;" >
                            
                             </td>
                    </tr>
                   
                    <tr> 
                      <td height="0" align="center" class="btn-primary">Proveedor</td>
          </tr>
                    <tr>
                      <td height="0"><select name="proveedor" id="proveedor" class="form-control" onChange="Obuscar.value=1;obuscarcodigo.value=1;submit();"  >
                        <?php while ($rowli=mysqli_fetch_array($rs_proveedor))
									{
									 if ($proveedor==$rowli['id'])
										{echo "<option value=".$rowli['id']." selected>".substr($rowli['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowli['id'].">".substr($rowli['nombre'],0,40)."</option>";}		
									}
							 ?>
                      </select></td>
                    </tr>
                    <tr> 
                      <td>
                        <table width="100%" border="1" cellspacing="0" cellpadding="0" class='table table-hover'  >
                          <tr>
                          <td class="btn-primary" align="center" width="4%"></td>
                          <td class="btn-primary" align="center" width="10%">Factura</td>
                          <td class="btn-primary" align="center" width="20%">Valor</td>
                          <td class="btn-primary" align="center" width="20%">Iva</td>
                          <td class="btn-primary" align="center" width="20%">Saldo</td>
                          <td class="btn-primary" align="center" width="10%">Fecha</td>
                          <td class="btn-primary" align="center" width="30%">Vr.Pagado</td>
                          </tr>
                       <?php
									 $abono="";$ca=1;		
									 if($proceso==1){$sqlfactura="";}
									 if($proceso==2){$sqlfactura="and factura='".$factura."'";}
									 $sql_datos=mysqli_query($conexion,"SELECT id,factura,valor,iva,fecha,iva10,iva5
									 					     from inventario_proveedor
															 where proveedor='".$proveedor."' 
															 $sqlfactura
															 order by id desc");
										$c=1;					 
									   while ($datos= mysqli_fetch_row($sql_datos))//04
										  { 
											$idi=$datos[0];
											$factura=$datos[1];
											$valor=$datos[2];
											$iva=$datos[3];
											$fecha=$datos[4];
											$iva10=$datos[5];
											$iva5=$datos[6];

											//verificamos saldos
											$totaliva=$iva+$iva10+$iva5;
											 $efectivopagado=0;$saldo=0;
											 $sql_consulta=mysqli_query($conexion,"select count(*) as contar from inventario_proveedor_pagos
																				   where proveedor='".$proveedor."' and factura='".$factura."'"); 
											 while($datosrs= mysqli_fetch_row($sql_consulta)){ $contar=$datosrs[0];}
											 if($contar>=1)
											  {
												$sql_consulta=mysqli_query($conexion,"select sum(valor) as efectivopag from inventario_proveedor_pagos
													 where proveedor='".$proveedor."' and factura='".$factura."'"); 
												while($datosrs= mysqli_fetch_row($sql_consulta)){ $efectivopagado=$datosrs[0];}
											  }
											
											$saldo=	$valor-$efectivopagado+$totaliva;	
											if($saldo>0){$color='#EFE55C';} else {$color='#8DD18A';}
											 echo "<tr>
													  <td>
													   <div align='center'>";
													   if($saldo>0)
													   {
													   echo " <input type='checkbox' name='ch$c' >";													    
													   }
													  echo " <input name='idi$c' type='hidden' class='texto'  value='$idi' size='5'>
														<input name='factura$c' type='hidden' class='texto'  value='$factura' size='5'> ";
														echo "</div>
													   </td>
													  <td align='center' >$factura</td>																					
													  <td align='center'>".number_format($valor,2)."</td>													  
													  <td align='center'>".number_format($totaliva,2)."</td>	
													  <td align='center'  bgcolor=$color>".number_format($saldo,2)."</td>													  
													  <td align='center'>$fecha</td>
													  <td>";
													  if($saldo>0)
													   {
													  ?>
													    <input name="abono<?php echo $c;?>" type="text" class="form-control"  style="width: 100%; text-align:right;"
                                                         id="abono<?php echo $c;?>"
                                                           value="<?php echo $precio; ?>" size="10" 
                                                            onkeypress='mascara(this,cpf);'>
                                                      <?php
													   }
                                                      echo "</td>
													</tr>";
													$c=$c+1;
													
													
												$sql_consulta=mysqli_query($conexion,"select valor,fecha,observacion,fecsis,horasis,usuario,id from inventario_proveedor_pagos
											   					where proveedor='".$proveedor."' and factura='".$factura."'");
												$ca=1;				 
												 while($datosrs= mysqli_fetch_row($sql_consulta))
												 { 
												   $valor=number_format($datosrs[0]); $fecha=$datosrs[1];
												   $observacion=$datosrs[2]; $fecsis=$datosrs[3]; $horasis=$datosrs[4];
												   $id=$datosrs[6];
												 
												   echo "<tr>
																  <td colspan='3'></td>
																  <td>
													   <div align='center'>";
													   echo " <input type='checkbox' name='cha$ca' >";													    													echo " <input name='ida$ca' type='hidden' class='texto'  value='$id'>";
													   ?>
                                                       <br>
                                                       <input name="mod" type="submit" id="mod" value="Modificar" title="Clic para MOdificar"  class="btn btn-primary" onClick="omodificar.value=1;" >
                                                       <input name="eli" type="submit" id="wli" value="Quitar" title="Clic para Eliminar"  class="btn btn-primary" onClick="oeliminar.value=1;" >
                                                       
                                                       
													   <?php
														echo "</div>
													   </td>
																  <td align='center'>$observacion</td>													  
																  <td align='center'>$fecsis<br>$horasis</td>
																  <td>";
																  ?>
																	<input name="abonos<?php echo $ca;?>" type="text" class="form-control"  style="width: 100%; text-align:right;" 
																	id="abonos<?php echo $ca;?>"
																	   value="<?php echo $valor; ?>" 
																		onkeypress='mascara(this,cpf);'>
																  <?php
																  echo "</td>
																</tr>";
												   $ca++;
												 }
													
										  }	//04
										$cantia=$ca-1;  
		 					  			echo "<input type='hidden' name='cantia' value='$cantia' readonly size='10'>";
										
										$canti=$c-1;  
		 					  			echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";
							
							       
									 
									
							
							 ?>
	                      </table>
                      </td>
                    </tr>
                    <tr>
                      <td><input name="oguardar" type="hidden" id="oguardar">
                        <input name="Obuscar" type="hidden" id="Obuscar">
                        <input name="oquita" type="hidden" id="oquita">
                        <input name="obuscadato" type="hidden" id="obuscadato">
                        <input name="oculto" type="hidden" id="oculto">
                        <input name="ocargainventario" type="hidden" id="ocargainventario">
                        <input name="obuscarcodigo" type="hidden" id="obuscarcodigo">
                        <input name="Olimpiar" type="hidden" id="Olimpiar">
                        <input name="omodificar" type="hidden" id="omodificar">
                        <input name="oeliminar" type="hidden" id="oeliminar">
                      </td>
                    </tr>
        </table>
  
</div>
</div>
</div>  
 
 <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>
 
</form>
<div id="resultado"></div>
</body>
</html>
